Subject: Bug#204 closed by Mike Gabriel <[email-masked]> (Re: Bug#204: Error starting an aborted session)

From: [email-masked] (X2Go Bug Tracking System)
Date: Thu, 06 Jun 2013 00:03:02 +0000

This is an automatic notification regarding your Bug report
which was filed against the x2goserver package:

#204: Error starting an aborted session

It has been closed by Mike Gabriel <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mike Gabriel <[email-masked]> by
replying to this email.

-- 
204: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=204
X2Go Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Bug#204: Error starting an aborted session
From: Mike Gabriel <[email-masked]>
To: Dick Kniep <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Thu, 06 Jun 2013 01:49:32 +0200

tag #204 wontfix
close

Hi Dick

On Mi 08 Mai 2013 11:41:32 CEST Dick Kniep wrote:

> Included is the log on the server for the user. As you can see at a  
> certain moment it says "nxagentBlockHandler: No application running.  
> Closing the session." I don't know what causes this, it might be a

This is wanted by the NX developers. It means that the x2goagent runs  
with rootless=1 mode and it waits for an application to use this  
rootless mode x2goagent.

If no applications comes into play after a generous amount of time (it  
is hard-coded in NX) then the agent will end itself.

> segmentation fault in the application.

Yes, this may well be.

> However, it gets worse, because after this, it is impossible for the  
> user to login again. The only way to end the session is by kill -9.  
> After that the user can login again.......

This is probably related to some port handling problem in X2Go Server  
that we currently have in the stable release of X2Go Server.

I will close this bug and tag it as wontfix as the main issue may well  
be in your application (segmentation fault or similar).

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb

Subject: Error starting an aborted session
From: Dick Kniep <[email-masked]>
To: [email-masked] <[email-masked]>
Date: Wed, 8 May 2013 11:41:32 +0200

package: x2go-agent
Severity: severe
Version: 0.4.0.1

If a session is aborted because of a network problem, x2goagent does not end properly. Sometimes it does, most of the time it doesn't We are working with a ssh-proxy, maybe there is a cause. 

Included is the log on the server for the user. As you can see at a certain moment it says "nxagentBlockHandler: No application running. Closing the session." I don't know what causes this, it might be a segmentation fault in the application. However, it gets worse, because after this, it is impossible for the user to login again. The only way to end the session is by kill -9. After that the user can login again.......

NXAGENT - Version 3.5.0

Copyright (C) 2001, 2011 NoMachine.
See http://www.nomachine.com/ for more information.

Info: Agent running with pid '32154'.
Session: Starting session at 'Wed May  8 08:29:51 2013'.
Info: Proxy running in server mode with pid '32154'.
Info: Waiting for connection from 'localhost' on port '30001'.
Info: Accepted connection from '127.0.0.1'.
Info: Connection with remote proxy completed.
Info: Using ADSL link parameters 512/24/1/0.
Info: Using agent parameters 5000/10/50/0/0.
Info: Using cache parameters 4/4096KB/8192KB/8192KB.
Info: Using pack method '16m-jpeg-9' with session 'unix-kde-depth_17'.
Info: Using ZLIB data compression 1/1/32.
Info: Using ZLIB stream compression 4/4.
Info: No suitable cache file found.
Info: Listening to X11 connections on display ':50'.
Info: Established X client connection.
Info: Using shared memory parameters 1/1/0/0K.
Info: Using alpha channel in render extension.
Info: Not using local device configuration changes.
keyboard file created
SessionPath not defined
Session: Session started at 'Wed May  8 08:29:58 2013'.
I/O warning : failed to load external entity "/etc/nx/keystroke.cfg"
nxagentBlockHandler: No application running. Closing the session.
Session: Terminating session at 'Wed May  8 08:32:57 2013'.
Info: Waiting the cleanup timeout to complete.
Session: Session terminated at 'Wed May  8 08:32:58 2013'.

Met vriendelijke groet,
Dick Kniep
Lindix BV
tel. 036-5215580
mob. 06-50991858